<?php

namespace Rapsys\BlogBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class KeywordType extends AbstractType {
	/**
	 * {@inheritdoc}
	 */
	public function buildForm(FormBuilderInterface $builder, array $options): void {
		$builder->add('created')->add('updated')->add('articles');
	}

	/**
	 * {@inheritdoc}
	 */
	public function configureOptions(OptionsResolver $resolver): void {
		$resolver->setDefaults(['data_class' => 'Rapsys\BlogBundle\Entity\Keyword']);
	}

	/**
	 * {@inheritdoc}
	 */
	public function getBlockPrefix() {
		return 'rapsysblog_keyword';
	}
}
